package com.example.fieldagent.utils

import android.content.Context
import android.view.View
import android.widget.TextView
import android.widget.Toast
import androidx.core.content.ContextCompat
import com.example.fieldagent.R
import com.google.android.material.snackbar.Snackbar
import okhttp3.MediaType.Companion.toMediaTypeOrNull
import okhttp3.RequestBody


fun View.gone() {
    visibility = View.GONE
}

fun View.visible() {
    visibility = View.VISIBLE
}

fun View.invisible() {
    visibility = View.INVISIBLE
}

fun View.hideShowView(listIsEmpty: Boolean) {
    visibility = if (listIsEmpty) View.VISIBLE
    else View.GONE
}

fun getRequestBody(string: String?): RequestBody {
    return RequestBody.create("text/plain".toMediaTypeOrNull(), string ?: "")
}


fun View.showSnackBar(msg: String) {
    try {
        val snackBar = Snackbar.make(this, msg, Snackbar.LENGTH_LONG)
        val snackBarView = snackBar.view
        val textView =
            snackBarView.findViewById<View>(com.google.android.material.R.id.snackbar_text) as TextView
        textView.maxLines = 3
        snackBar.setAction(R.string.ok) { snackBar.dismiss() }
        snackBarView.setBackgroundColor(ContextCompat.getColor(context, R.color.main_color))
        snackBar.setActionTextColor(ContextCompat.getColor(context, R.color.white))
        snackBar.show()
    } catch (e: Exception) {
        e.printStackTrace()
    }

}
fun Context.longToast(text: CharSequence) {
    Toast.makeText(this, text, Toast.LENGTH_LONG).show()
}
